$Id: README 94589 2011-10-05 13:46:06Z johnnyw $

README for blobby, the example application for JAWS
---------------------------------------------------

Blobby is a simple application written using the ACE_Blob class, which
is capable of doing both file uploads and downloads from the JAWS
server.

If a file is downloaded, the downloaded data is sent to standard
output, so that it can be piped as necessary.

It is an ACE application, and should be compiled exactly like any
other ACE application.

It accepts the following command line arguments:


        -r              Read (download) the file from the server
        -w              Write (upload) the file to the server
			(Default is Read file)

        -h hostname     Use the server running on hostname
			(Default is localhost)

        -p port         Port number of the server
			(Default is 80)

        -f filename     The file to upload/download from the server

        -l length       The number of bytes to read/write from the server
        -o offset       The offset into the file to be read/written

        -d              Puts blobby into debug mode, where it echoes
                        its command line arguments
